using System;

namespace Cenzura
{
    class Program
    {
        static void Main(string[] args)
        {
            string tekst = Console.ReadLine();
            string rec = Console.ReadLine();
            int brojac = 0, a, b;
            if (rec == "a") 
            {
                brojac = tekst.Length - tekst.Replace("a", "").Length;
                tekst = tekst.Replace("a", "*");
                Console.WriteLine(brojac);
                Console.WriteLine(tekst);
            }
            if (rec == "ab") 
            {
                a = tekst.Length - tekst.Replace("a", "").Length;
                b = tekst.Length - tekst.Replace("b", "").Length;
                if (Math.Min(a, b) == a)
                {
                    tekst = tekst.Replace("a", "*");
                    Console.WriteLine(a);
                    Console.WriteLine(tekst);
                }
                else 
                {
                    tekst = tekst.Replace("b", "*");
                    Console.WriteLine(b);
                    Console.WriteLine(tekst);
                }
            }
        }
    }
}